
From: Andrew Morton <akpm@osdl.org>

genrtc.c won't compile on ppc64.  Seems that ppc32 does support it though?

We do this wrong btw - we should be selecting GEN_RTC in each
arch/xxx/Kconfig.

Cc: Benjamin Herrenschmidt <benh@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/char/Kconfig |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/char/Kconfig~ppc64-genrtc-build-fix drivers/char/Kconfig
--- 25/drivers/char/Kconfig~ppc64-genrtc-build-fix	2005-07-15 02:46:04.000000000 -0600
+++ 25-akpm/drivers/char/Kconfig	2005-07-15 02:46:25.000000000 -0600
@@ -735,7 +735,7 @@ config SGI_IP27_RTC
 
 config GEN_RTC
 	tristate "Generic /dev/rtc emulation"
-	depends on RTC!=y && !IA64 && !ARM
+	depends on RTC!=y && !IA64 && !ARM && !PPC64
 	---help---
 	  If you say Y here and create a character special file /dev/rtc with
 	  major number 10 and minor number 135 using mknod ("man mknod"), you
_
